/*$Id: iceb_tu_prcn.c,v 5.6 2013/08/13 05:50:32 sasa Exp $*/
/*09.05.2021	30.10.1997	Белых А.И.	iceb_tu_prcn.c
Преобразование цены так чтобы дробная часть выводилась как
надо. Либо с 2мя нолями либо со всеми значащими цифрами после
запятой.
*/
#include	"util.h"

extern double	okrcn;  /*Округление цены*/

char            *iceb_tu_prcn(double cn) //Число для преобразования
{
static char     str[128]; /*Символьная строка с числом*/
class iceb_tu_str br;

/*printw("\ncn=%.10f okr=%.10f\n",cn,okr);*/
sprintf(str,"%.10g",cn);
iceb_tu_polen(str,&br,2,'.');
if(strlen(br.ravno()) < 2)
  sprintf(str,"%.2f",cn);
 
return(str);
}
